<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$api = app('Dingo\Api\Routing\Router');

$api->version('v1', [
    'namespace' => 'App\Http\Controllers\V1',
], function ($api) {
    //登录

    $api->post('login', 'AuthController@authenticate');


    $api->group(['middleware' => 'auth:api'], function ($api) {
        //注册
        $api->post('reg', 'AuthController@register');
        //登出
        $api->post('logout', 'AuthController@logout');
        //刷新身份令牌
        $api->post('refresh', 'AuthController@refresh');
    });

    $api->group(['middleware' => 'jwt.chxq_auth'], function ($api) {
        //用户列表

        $api->get('user', 'UserController@index');
        //用户列表
        $api->get('memberList', 'MemberController@memberList');
        //用户详情
        $api->post('memberView', 'MemberController@view');
        //修改状态
        $api->put('updateStatus', 'MemberController@updateStatus');
        //设置属性
        $api->post('setAttr', 'MemberController@setAttr');
        //公共配置
        $api->post('configIndex', 'ConfigController@index');
    });
});